中危 Xorg-x11-server:rrchangeoutputproperty 和 rrchangeproviderproperty 中的内存读取超出范围 (CVE-2023-6478)

CVE编号

CVE-2023-6478

利用情况

暂无

补丁情况

官方补丁

披露时间

2023-12-04
漏洞描述
发现了Xorg服务器中的漏洞。针对RRChangeProviderProperty或RRChangeOutputProperty的精心构造请求可能会触发整数溢出,从而导致敏感信息的泄露。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://www.openwall.com/lists/oss-security/2023/12/13/1
https://access.redhat.com/errata/RHSA-2023:7886
https://access.redhat.com/errata/RHSA-2024:0006
https://access.redhat.com/errata/RHSA-2024:0009
https://access.redhat.com/errata/RHSA-2024:0010
https://access.redhat.com/errata/RHSA-2024:0014
https://access.redhat.com/errata/RHSA-2024:0015
https://access.redhat.com/errata/RHSA-2024:0016
https://access.redhat.com/errata/RHSA-2024:0017
https://access.redhat.com/errata/RHSA-2024:0018
https://access.redhat.com/errata/RHSA-2024:0020
https://access.redhat.com/errata/RHSA-2024:2169
https://access.redhat.com/errata/RHSA-2024:2170
https://access.redhat.com/errata/RHSA-2024:2995
https://access.redhat.com/errata/RHSA-2024:2996
https://access.redhat.com/security/cve/CVE-2023-6478
https://bugzilla.redhat.com/show_bug.cgi?id=2253298
https://gitlab.freedesktop.org/xorg/xserver/-/commit/14f480010a93ff962fef66a1...
https://lists.debian.org/debian-lts-announce/2023/12/msg00008.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedorapr...
https://lists.x.org/archives/xorg-announce/2023-December/003435.html
https://security.gentoo.org/glsa/202401-30
https://security.netapp.com/advisory/ntap-20240125-0003/
https://www.debian.org/security/2023/dsa-5576
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 tigervnc tigervnc - -
运行在以下环境
应用 x.org xwayland * Up to
(excluding)
23.2.3
运行在以下环境
应用 x.org x_server * Up to
(excluding)
21.1.10
运行在以下环境
系统 alibaba_cloud_linux_2.1903 xorg-x11-server * Up to
(excluding)
1.20.4-25.1.al7
运行在以下环境
系统 alma_linux_8 tigervnc * Up to
(excluding)
1.13.1-2.el8_9.4.alma.1
运行在以下环境
系统 alma_linux_9 tigervnc * Up to
(excluding)
1.13.1-3.el9_3.3.alma.1
运行在以下环境
系统 alpine_3.18 xorg-server * Up to
(excluding)
21.1.10-r0
运行在以下环境
系统 alpine_3.19 xorg-server * Up to
(excluding)
21.1.10-r0
运行在以下环境
系统 amazon_2 xorg-x11-server * Up to
(excluding)
1.20.4-22.amzn2.0.3
运行在以下环境
系统 amazon_AMI xorg-x11-server * Up to
(excluding)
1.17.4-18.54.amzn1
运行在以下环境
系统 centos_7 tigervnc * Up to
(excluding)
1.8.0-28.el7_9
运行在以下环境
系统 debian debian_linux 10.0 -
运行在以下环境
系统 debian debian_linux 11.0 -
运行在以下环境
系统 debian debian_linux 12.0 -
运行在以下环境
系统 debian_10 xorg-server * Up to
(excluding)
1.20.4-1+deb10u11
运行在以下环境
系统 debian_11 xorg-server * Up to
(excluding)
1.20.11-1+deb11u9
运行在以下环境
系统 fedora_38 tigervnc * Up to
(excluding)
1.13.1-9.fc38
运行在以下环境
系统 fedora_39 tigervnc * Up to
(excluding)
1.13.1-9.fc39
运行在以下环境
系统 kylinos_aarch64_V10 tigervnc * Up to
(excluding)
1.8.0-25.el7_9.ns7.01
运行在以下环境
系统 kylinos_x86_64_V10 tigervnc * Up to
(excluding)
1.8.0-25.el7_9.ns7.01
运行在以下环境
系统 opensuse_Leap_15.4 xwayland * Up to
(excluding)
21.1.4-150400.3.23.1
运行在以下环境
系统 opensuse_Leap_15.5 xwayland * Up to
(excluding)
22.1.5-150500.7.8.1
运行在以下环境
系统 oracle_7 tigervnc * Up to
(excluding)
1.8.0-28.0.1.el7_9
运行在以下环境
系统 oracle_8 tigervnc * Up to
(excluding)
1.13.1-2.el8_9.4
运行在以下环境
系统 oracle_9 tigervnc * Up to
(excluding)
1.13.1-3.el9_3.3
运行在以下环境
系统 redhat enterprise_linux 6.0 -
运行在以下环境
系统 redhat enterprise_linux 7.0 -
运行在以下环境
系统 redhat enterprise_linux 8.0 -
运行在以下环境
系统 redhat enterprise_linux 9.0 -
运行在以下环境
系统 redhat enterprise_linux_eus 9.2 -
运行在以下环境
系统 redhat_7 tigervnc * Up to
(excluding)
1.8.0-28.el7_9
运行在以下环境
系统 redhat_8 tigervnc * Up to
(excluding)
1.13.1-2.el8_9.4
运行在以下环境
系统 redhat_9 tigervnc * Up to
(excluding)
1.13.1-3.el9_3.3
运行在以下环境
系统 suse_12_SP5 xorg-x11-server * Up to
(excluding)
1.19.6-10.59.1
运行在以下环境
系统 ubuntu_20.04 xorg-server * Up to
(excluding)
1.20.13-1ubuntu1~20.04.12
运行在以下环境
系统 ubuntu_22.04 xwayland * Up to
(excluding)
22.1.1-1ubuntu0.9
阿里云评分
6.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
阿里云安全产品覆盖情况